{% extends 'base.html.twig' %}

{% block title %}
	<title>Informations personnelles</title>
{% endblock %}

{% block stylesheets %}
	{{ parent() }}
	 <link href="../css/compte.css" rel="stylesheet" type="text/css"/>
{% endblock %}

{% block body %}

	<div class="container-fluid mt-5 mb-5">
		<div class="row">

			{% include "personnal_information/leftNavBar.html.twig" %}

			<!-- Main Content -->
			<div class="col-md-9">
				<div class="container">
					<h1 id="info" class="mb-5">Informations personnelles</h1>
					{% if app.user %}
						<form method="post" action="{{ path('app_personnal_information') }}">
							{{ form_start(form) }}
							<div class="row pb-3">
								<div class="col-md-6">
									{{ form_row(form.firstName) }}
								</div>
								<div class="col-md-6">
									{{ form_row(form.lastName) }}
								</div>
							</div>
							<div class="row pb-3">
								<div class="col-md-6">
									{{ form_row(form.email) }}
								</div>
								<div class="col-md-6">
									{{ form_row(form.phoneNumber) }}
								</div>
							</div>
							<div class="row pb-3">
								<div class="col-md-6">
									{{ form_row(form.address) }}
								</div>
								<div class="col-md-2">
									{{ form_row(form.postal_code) }}
								</div>
								<div class="col-md-4">
									{{ form_row(form.city) }}
								</div>
							</div>
							<div class="row">
								<div class="col-md-12">
									<a href="{{ path('change_password') }}" class="modpass">Modifier le mot de passe</a>
								</div>
							</div>
							<div class="d-flex justify-content-center">
								<button type="submit" class="btnR">Mettre à jour mes informations</button>
							</div>
							{{ form_end(form) }}
						</form>
					{% else %}
						<p>Connectez-vous pour voir vos informations personnelles.</p>
					{% endif %}
				</div>
			</div>
		</div>
	</div>

{% endblock %}
